## libharu 2.1.0+dfsg

=== debian/changelog ===
libharu (2.1.0+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #581397)
  * Delete unused windows build files
  * Delete non-free pngsuite from demos
  * Remove other copy of pngsuite
  * Remove demo pdf files
  * Remove font from demo (already in debian)
  * Remove font Penguinattack, already packaged
  * Delete unneeded autom4te cache files
  * Update example to work with font in debian
  * Initial import debian/* files
  * Update autotools
  * Different patches backported from the upstream git repository

 -- Johan Van de Wauw <johan.vandewauw@gmail.com>  Sun, 18 Jul 2010 11:35:53 +0200
