=== debian/rules ===
#!/usr/bin/make -f
%:
	dh  $@

UPSTREAM_URL ?=$(shell uscan --dehs | sed -n 's/.*<upstream-url>\(.*\)<\/upstream-url>.*/\1/p')
UPSTREAM_VERSION ?=$(shell uscan --dehs | sed -n 's/.*<upstream-version>\(.*\)<\/upstream-version>.*/\1/p')
TAR_NAME ?=libharu-$(UPSTREAM_VERSION).tar

get-orig-source:
	wget $(UPSTREAM_URL)
	gunzip $(TAR_NAME).gz
	tar --delete -f $(TAR_NAME) libharu-$(UPSTREAM_VERSION)/demo/pngsuite 
	tar --delete -f $(TAR_NAME) "libharu-$(UPSTREAM_VERSION)/if/c#/demo/pngsuite" #note: no longer needed on current git version
	tar --delete -f $(TAR_NAME) libharu-$(UPSTREAM_VERSION)/win32
	tar --delete -f $(TAR_NAME) --wildcards libharu-$(UPSTREAM_VERSION)/demo/*.pdf
	tar --delete -f $(TAR_NAME) libharu-$(UPSTREAM_VERSION)/demo/ttfont
	tar --delete -f $(TAR_NAME) libharu-$(UPSTREAM_VERSION)/demo/type1
	tar --delete -f $(TAR_NAME) libharu-$(UPSTREAM_VERSION)/autom4te.cache
	gzip -9n $(TAR_NAME)
	mv $(TAR_NAME).gz ../libharu_$(UPSTREAM_VERSION)+dfsg.orig.tar.gz
