## libharu 2.2.1

=== debian/changelog ===
libharu (2.2.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Use dh-autoreconf in build to support new architectures (closes: #727409)

 -- Chen Baozi <baozich@gmail.com>  Thu, 05 Jun 2014 20:03:51 +0800

libharu (2.2.1-1) unstable; urgency=low

  * update to upstream 2.2.1
  * Set priority to optional instead of extra (Closes: #631332)
  * Remove unneeded patches (part of libharu 2.2.0 and above)
  * Import some upstream bugfixes
  * Update copyright/rules file, no dfsg cleaning needed anymore
  * Update package name to reflect soname change
  * Remove libtool-helper (*.la) and static library (*.a) from -dev package
  * Update copyright file to DEP-5 format 

 -- Johan Van de Wauw <johan.vandewauw@gmail.com>  Tue, 30 Aug 2011 18:39:57 -0400
