=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: libharu
-Priority: extra
+Priority: optional
 Maintainer: Johan Van de Wauw <johan.vandewauw@gmail.com>
-Build-Depends: debhelper (>= 7.0.50~), libpng-dev, libz-dev
-Standards-Version: 3.9.0
+Build-Depends: debhelper (>= 7.0.50~), libpng-dev, libz-dev, dh-autoreconf
+Standards-Version: 3.9.2
 Section: libs
 Homepage: http://www.libharu.org
 Vcs-Git: git://git.debian.org/collab-maint/libharu.git
@@ -11,7 +11,7 @@
 Package: libhpdf-dev
 Section: libdevel
 Architecture: any
-Depends: libhpdf-2.1.0 (= ${binary:Version}), ${misc:Depends}
+Depends: libhpdf-2.2.1 (= ${binary:Version}), ${misc:Depends}
 Description: C library for generating pdf files (development files)
  Haru is a free, cross platform, open-source C library for generating 
  PDF files. It supports the following features:
@@ -25,7 +25,7 @@
   8. Support for CJK fonts and encodings.
  This package contains the header files for developing with libharu.
 
-Package: libhpdf-2.1.0
+Package: libhpdf-2.2.1
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: C library for generating pdf files
