=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
http://libharu.org/files/libharu-(\d\.\d\.\d)\.tar\.gz
