## libharu 2.3.0%2Bdfsg

=== debian/control ===
Source: libharu
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Johan Van de Wauw <johan@gisky.be>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               libpng-dev,
               libz-dev
Standards-Version: 4.1.2
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libharu.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/libharu.git
Homepage: http://www.libharu.org

Package: libhpdf-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libhpdf-2.3.0 (= ${binary:Version}),
         ${misc:Depends}
Description: C library for generating pdf files (development files)
 Haru is a free, cross platform, open-source C library for generating
 PDF files. It supports the following features:
  1. Generation of PDF files with lines, text and images.
  2. Outlines, text and link annotations.
  3. Document compression using deflate-decode.
  4. Embedded PNG and Jpeg images.
  5. Embedded Type1 and TrueType fonts.
  6. Creation of encrypted PDF files.
  7. Usage of various character sets (ISO8859-1~16, MSCP1250~8, KOI8-R).
  8. Support for CJK fonts and encodings.
 This package contains the header files for developing with libharu.

Package: libhpdf-2.3.0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: C library for generating pdf files
 Haru is a free, cross platform, open-source C library for generating
 PDF files. It supports the following features:
  1. Generation of PDF files with lines, text and images.
  2. Outlines, text and link annotations.
  3. Document compression using deflate-decode.
  4. Embedded PNG and Jpeg images.
  5. Embedded Type1 and TrueType fonts.
  6. Creation of encrypted PDF files.
  7. Usage of various character sets (ISO8859-1~16, MSCP1250~8, KOI8-R).
  8. Support for CJK fonts and encodings.
