=== debian/watch ===
Version: 5

Template: Github
Owner: libharu
Project: libharu
Dversion-Mangle: auto
Repack-Suffix: +dfsg
Uversion-Mangle: s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/;s/RC/rc/;s/_/./g
